/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSMediaRule_H___INT_
#define __GdomCSSMediaRule_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomCSSRule.h"
#include "GDOMObject.h"
#include "CSSMediaRule.h"
G_BEGIN_DECLS
class GDOMCSSMediaRule : public GDOMCSSRule {
    typedef GDOMCSSRule Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_MEDIA_RULE; }
    GDOMCSSMediaRule(PassRefPtr<WebCore::CSSMediaRule> impl);
};
G_END_DECLS

#endif /* __GdomCSSMediaRule_H___INT_*/
